
Figure - Bug #118788
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【小窗模式】【偶现】打开酷狗音乐进入主页面，切换微信，再点击酷狗，酷狗音乐打开过
慢，导致后续APP点击无反应
2023-06-14 18:11 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-14

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C104(X104)（0613）

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 从日志看应该是com.kugou.android导致的启动慢的问题, 启动酷狗的时候会Crash,然后它会restart,然后又崩溃,导致Activity的启动流程出现异常

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开酷狗音乐（强制小窗应用），进入酷狗音乐主界面

2、切换到微信或其他强制小窗应用

3、点击酷狗音乐

4、点击其他APK

【预期结果】

3、酷狗音乐正常打开

4、其他APK正常打开

【实际结果】

3、等待一段时间后，酷狗音乐打开

4、其他APK无反应，等待酷狗音乐打开后打开

【酷狗音乐版本】：11.6.4

History

#1 - 2023-06-30 17:11 - CD TEST-方永红

- Category set to 窗口定制

- Assignee set to CD FW-鲁凯峰

#2 - 2023-07-03 19:25 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Root cause set to 从日志看应该是com.kugou.android导致的启动慢的问题, 启动酷狗的时候会Crash,然后它会restart,然后又崩溃,导致Activity的启动流程出现

异常

从日志看应该是com.kugou.android导致的启动慢的问题, 启动酷狗的时候会Crash,然后它会restart,然后又崩溃,导致Activity的启动流程出现异常

目前该崩溃已经解决了,请在新版本上验证
06-14 17:40:25.106  3707  3707 E AndroidRuntime: FATAL EXCEPTION: main

06-14 17:40:25.106  3707  3707 E AndroidRuntime: Process: com.kugou.android, PID: 3707

06-14 17:40:25.106  3707  3707 E AndroidRuntime: android.view.InflateException: Binary XML file line #29 in android:layout/transient_notification: Binary XML

file line #29 in android:layout/transient_notification: Error inflating class <unknown>

06-14 17:40:25.106  3707  3707 E AndroidRuntime: Caused by: android.view.InflateException: Binary XML file line #29 in android:layout/transient_notification:

Error inflating class <unknown>

06-14 17:40:25.106  3707  3707 E AndroidRuntime: Caused by: java.lang.reflect.InvocationTargetException

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at java.lang.reflect.Constructor.newInstance0(Native Method)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at java.lang.reflect.Constructor.newInstance(Constructor.java:343)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.LayoutInflater.createView(LayoutInflater.java:858)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.LayoutInflater.createView(LayoutInflater.java:780)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at com.android.internal.policy.PhoneLayoutInflater.onCreateView(PhoneLayoutInflater.java:58)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.LayoutInflater.onCreateView(LayoutInflater.java:934)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.LayoutInflater.onCreateView(LayoutInflater.java:954)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:1008)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:965)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.LayoutInflater.rInflate(LayoutInflater.java:1127)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.LayoutInflater.rInflateChildren(LayoutInflater.java:1088)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:686)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:538)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:485)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.widget.ToastPresenter.getTextToastView(ToastPresenter.java:63)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.widget.Toast.makeText(Toast.java:501)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.widget.Toast.makeText(Toast.java:483)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at com.kugou.common.utils.e.c.a(SourceFile:56)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at

com.kugou.common.module.deletate.ModuleAbsBaseFragment.initDefaultToastGravity_onCreate(SourceFile:447)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at com.kugou.common.module.deletate.ModuleAbsBaseFragment.onAttach(SourceFile:55)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at com.kugou.common.module.deletate.ModuleDelegateFragment.onAttach(SourceFile:302)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at com.kugou.common.useraccount.app.RegBaseFragment.onAttach(SourceFile:108)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at com.kugou.common.useraccount.app.CommonBaseAccountFragment.onAttach(SourceFile:29)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at com.kugou.common.useraccount.app.UserLoginAndRegFragment.onAttach(SourceFile:123)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at androidx.fragment.app.Fragment.onAttach(SourceFile:1783)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at androidx.fragment.app.Fragment.performAttach(SourceFile:2922)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at androidx.fragment.app.FragmentStateManager.attach(SourceFile:464)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at androidx.fragment.app.FragmentStateManager.moveToExpectedState(SourceFile:275)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.executeOpsTogether(SourceFile:2189)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.removeRedundantOperationsAndExecute(SourceFile:2100)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.execPendingActions(SourceFile:2002)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.dispatchStateChange(SourceFile:3150)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at androidx.fragment.app.FragmentManager.dispatchActivityCreated(SourceFile:3078)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at androidx.fragment.app.FragmentController.dispatchActivityCreated(SourceFile:251)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at androidx.fragment.app.FragmentActivity.onStart(SourceFile:501)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at com.kugou.common.base.StateFragmentActivity.onStart(SourceFile:231)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.app.Instrumentation.callActivityOnStart(Instrumentation.java:1456)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.app.Activity.performStart(Activity.java:8119)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.app.ActivityThread.handleStartActivity(ActivityThread.java:3661)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at

android.app.servertransaction.TransactionExecutor.performLifecycleSequence(TransactionExecutor.java:221)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.cycleToPath(TransactionExecutor.java:201)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.executeLifecycleState(TransactionExecutor.java:173)
06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:97)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

06-14 17:40:25.106  3707  3707 E AndroidRuntime: Caused by: java.lang.UnsupportedOperationException: Can't convert value at index 15 to dimension:

type=0x1

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.content.res.TypedArray.getDimensionPixelSize(TypedArray.java:788)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.view.View.<init>(View.java:5540)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.widget.TextView.<init>(TextView.java:1032)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.widget.TextView.<init>(TextView.java:1026)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     at android.widget.TextView.<init>(TextView.java:1022)

06-14 17:40:25.106  3707  3707 E AndroidRuntime:     ... 51 more

06-14 17:40:25.154  1556  1873 I ActivityManager: Process com.kugou.android.support (pid 4086) has died: fg  BTOP

#3 - 2023-07-04 17:46 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

116、118版本未复现相同情况

#4 - 2023-07-04 17:47 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

logcat1750.txt 4.46 MB 2023-06-14 CDTS_Test 吴诗雨

20230614-180000.mp4 9.08 MB 2023-06-14 CDTS_Test 吴诗雨
